Subject: Re: bug#33170: 27.0.50; interactive spec with cl-defgeneric/method

From: Eli Zaretskii <[email-masked]>
Date: Sat, 27 Oct 2018 19:11:42 +0300

> From: Alex Branham <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 27 Oct 2018 09:50:26 -0500
> 
> >> Here, M-x my/test does not work.
> >
> > But "M-: (my/test) RET" does.
> 
> Right. I'd like them to be interactive though so I can e.g. use them
> from a keymap.

You could have a single command that invoked my/test, I think that
would do what you want.

> > I don't think generic functions can be interactive.  At least it is
> > not documented anywhere that they can be.
> 
> Ah, that's unfortunate. Perhaps this limitation should be documented
> somewhere?

If Stefan (CC'ed) says it's a limitation and not a bug, I will
document it.